
#include <Wire.h>
#include "MP1241.h"

static byte MP1241_VALUES [8] = {0x2B, 0x3F, 0x3F, 0x3F,
                                 0x3F, 0x11, 0x11, 0x07};


MP1241::MP1241()
{

}
//------------------------------------------------------------------------------
// PUBLIC FUNCTIONS
//------------------------------------------------------------------------------
// void MP1241::Init ()
//    
void MP1241::Init ()
{
   Wire.beginTransmission(MP1241_ADDRESS);
   Wire.write (0x00);
   for (int i=0; i<8; i++)
     Wire.write (MP1241_VALUES [i]);
   Wire.endTransmission();
}
//------------------------------------------------------------------------------
// void MP1241::SetParameter (byte Param, byte Value)
//  
//  :
//           byte Param - ,   
//                     : MP1241_VOLUME, MP1241_FR, MP1241_FL,
//                    MP1241_RR, MP1241_RL, MP1241_BASS, MP1241_TREBLE
//           byte Value -  
void MP1241::SetParameter (byte Param, byte Value)
{
   MP1241_VALUES [Param] = Value;
   Write (Param, Value);
}
//------------------------------------------------------------------------------
// void MP1241::SelectInput (byte Input)
//  
//  :
//           byte Input - ,   
//            : MP1241_IN_A, MP1241_IN_B, MP1241_IN_C,
//                                 MP1241_IN_D, MP1241_IN_MONO
void MP1241::SelectInput (byte Input)
{
   MP1241_VALUES [MP1241_SWITCH] = Input;
   Write (MP1241_SWITCH, Input);
}
//------------------------------------------------------------------------------
// byte MP1241::GetParameter (byte Param)
//    
//  :
//           byte Param - ,    
//  :
//              
//             MP1241_SWITCH  :
//           MP1241_IN_A, MP1241_IN_B, MP1241_IN_C, MP1241_IN_D, MP1241_IN_MONO
byte MP1241::GetParameter (byte Param)
{
   return MP1241_VALUES [Param];
}
//------------------------------------------------------------------------------
// PRIVATE FUNCTIONS
//------------------------------------------------------------------------------
void MP1241::Write (byte SubAddr, byte Value)
{
   Wire.beginTransmission(MP1241_ADDRESS);
   Wire.write (SubAddr);
   Wire.write (Value);
   Wire.endTransmission();
}


MP1241 MP1241_EQUALIZER = MP1241 ();
