
#ifndef MP1241_h
#define MP1241_h

#include "Arduino.h"

//===========================================================
#define   MP1241_ADDRESS       0x40   
//===========================================================
#define   MP1241_VOLUME        0x00
#define   MP1241_FR            0x01
#define   MP1241_FL            0x02
#define   MP1241_RR            0x03
#define   MP1241_RL            0x04
#define   MP1241_BASS          0x05
#define   MP1241_TREBLE        0x06
#define   MP1241_SWITCH        0x07
//===========================================================
#define   MP1241_IN_A          0x07
#define   MP1241_IN_B          0x06
#define   MP1241_IN_C          0x05
#define   MP1241_IN_D          0x04
#define   MP1241_IN_MONO       0x03


class MP1241
{
  public:
    MP1241 ();
    static void Init ();
    static void SetParameter (byte Param, byte Value);
    static void SelectInput (byte Input);
    static byte GetParameter (byte Param);
            
  private:
    static void Write (byte SubAddr, byte Value);
};

extern MP1241 MP1241_EQUALIZER;

#endif
 

